Get Profile Diseases

This endpoint returns a list of diseases or health conditions that were identified by a user in the Ornament mobile application

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

HTTP Method:
GET


Parameters

Obligatory

NameTypeDescription
pidstringUser profile ID.

Response Structure

The response is a JSON file containing one or multiple disease objects.


Disease Object Attributes

AttributeTypeDescription
diseaseIdintegerIdentifier of the disease. See Diseases thesaurus.
statusstringDisease status (default = CONFIRMED).
updatedAtintegerDate/time when the disease was identified, in Unix time.

Sample Response

{
  "diseaseId": 176,
  "status": "CONFIRMED",
  "updatedAt": 1741629086
}

 
Query Params
uuid
required

The ID of the profile whose data is being requested.

Responses

400

Bad request

401

Unauthorized

404

Not found

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json